Subject: Re: cd $HOME
From: Earnie Boyd <[email-masked]>
To: Ian Zimmerman <[email-masked]>
Cc: cygwin users <[email-masked]>
Date: Tue, 11 May 1999 06:09:12 -0700 (PDT)

--- Ian Zimmerman <[email-masked]> wrote:
> For some reason, I can't get bash to automatically change to my home
> directory when it starts.  The HOME envar is set to the Unixoid path, ie.
> /home/itz.  It has to be that way because I have other Cygwin-linked
> programs (XEmacs is one) that I want to be able to start independently,
> before bash has run.
> 
> Yes, I give bash the --login and -i flags.  It makes no difference.  Unless
> I explicitly cd to the home directory from the batch wrapper, the directory
> I end up in is either the bin directory where bash executable is located,
> or some weird ....\Desktop\itz place (the latter seems to happen when I
> start it through a Windows "shortcut").
> 
> As a consequence, my .profile is not being sourced, etc. etc.
> 
> Any ideas appreciated.

Are you positive that it isn't reading the /home/itz directory?  If after you
start bash you do `cd' what does `pwd' say?  Try issuing `bash --help'.  The
resource file for environment stuffs such as aliases should be in ~/.bashrc. 
The --login switch will read the /etc/profile file (maybe searches for others,
I don't remember at the moment) and from there you should source the ~/.bashrc
file.  Other information is available in the bash.info file.

===
"Earnie Boyd" <mailto:[email-masked]>
CYGWIN RELATED HELP:
 DOCUMENTATION: <http://sourceware.cygnus.com/cygwin/docs.html>
       DLLHELP: <http://www.xraylith.wisc.edu/~khan/software/gnu-win32/>
ARCHIVE SEARCH: <http://www.delorie.com/archives/> OR
                <http://www.eGroups.com/list/gnu-win32/>
_________________________________________________________
Do You Yahoo!?
Free instant messaging and more at http://messenger.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]